*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    background-color: #0a0a0a;
}

/* Navbar */
.navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 45px;
    background: linear-gradient(135deg, #01061b, #011638);
}

/* Logo */
.logo{
    display: flex;
    align-items: center;
    gap: 10px;
    color: #38bdf8;
    font-size: 22px;
    font-weight: 600;
}

.logo i{
    font-size: 26px;
}

/* Menu */
.menu{
    list-style: none;
    display: flex;
    gap: 30px;
}

.menu li a{
    text-decoration: none;
    color: #e5e7eb;
    font-size: 16px;
    position: relative;
    transition: 0.3s;
}

.menu li a::after{
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    left: 0;
    bottom: -6px;
    background-color: #5e6b71;
    transition: 0.3s;
}

.menu li a:hover{
    color: #62c1db;
}

.menu li a:hover::after{
    width: 100%;
}

/* Social Icons */
.social-icons{
    display: flex;
    gap: 18px;
}

.social-icons a{
    color: #ffffff;
    font-size: 18px;
    transition: 0.3s;
}

.social-icons a:hover{
    transform: translateY(-3px) scale(1.15);


/* Brand Colors */
.social-icons a:nth-child(1):hover{ color:#e1306c; } /* Instagram */
.social-icons a:nth-child(2):hover{ color:#1877f2; } /* Facebook */
.social-icons a:nth-child(3):hover{ color:#25d366; } /* WhatsApp */
.social-icons a:nth-child(4):hover{ color:#6d093a; } /* WhatsApp */


}

/*Hero section*/
/* Hero Section */
.typing{
    font-size: 28px;
    font-weight: bold;
    font-family: monospace;
    white-space: nowrap;
    overflow: hidden;
    border-right: 3px solid black;
    width: 0;
    animation: typing 8s steps(30) infinite;
}

.typing span::before{
    color: rgb(75, 134, 186);
    content: "I am Frontend Developer";
    animation: changeText 8s infinite;
}
@keyframes typing{
    0%{width: 0}
      20%{width: 27ch}
        400%{width: 27ch}
        50%{width: 0;}
        60%{width: 0;}
        80%{width: 26ch;}
        100%{width: 26ch;}


}

@keyframes changeText {
  0%,50% {
    content: "I am Frontend Developer";
  }
  51%,100% {
    content: "I am Backend Developer";
  }
}




.line{
    width: 0;
    overflow:hidden;
    white-space: nowrap;
}


.one{
    animation: typing 2s steps(22) forwards ;
}
.two{
    animation: typing 2s steps(21) forwards;
    animation-delay: 2s;
}

.hero-container{
    width: 100%;
    padding: 20px;
    display: flex;
    align-content: center;
    justify-content: space-around;
}

.profile-outer{
    height: 500px;
    width: 40%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.profile{
    height:400px;
    width: 400px;
    border-radius: 50%;
}
.profile img{
    height: 100%;
    width: 100%;
    border-radius: 50%;
}

.info-outer{
    height: 500px;
    width: 50%;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.info-outer h1{
    font-size: 3rem;
}
.info-outer p{
    font-weight: bold;
    letter-spacing: 1px;
    font-size: 1.1rem;
    text-align: center;
}



/* about */

#about h1{
    color: white;
    text-align: center;
    font-size: 3rem;
}

#about hr{
    height: 5px;
    width: 60%;
    background-color: rgb(64, 174, 229);
    margin: 0 auto;
    border-radius: 10px;
    border: none;
}

.about-text{
    margin: 30px auto;
    width: 80%;
    color: white;
    text-align: justify;
}

.about-text p{
    margin-top:15px ;
    font-size: 18px;
}

.about-text span{
    font-weight: bold;
    color: rgb(77, 205, 219);
}


.about-text ul{
    color: rgb(55, 169, 222);
    font-weight: bold;
    display: flex;
    gap: 30px;
    margin-left: 20px;
    font-size: 1.1rem;
}
/* skills */
#skill h1{
    color: rgb(248, 244, 244);
    text-align: center;
    font-size: 3rem;
}

#skill hr{
    height: 10px;
    width: 60%;
    background-color: rgb(150, 212, 238);
    margin: 0 auto;
    border-radius: 10px;
    border: none;
}
.skill-outer{
    width: 70%;
    margin: 0 auto;
    padding: 10px;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 10px;
    margin-top: 20px;
   

}
.skill-box{
    height: 200px;

   background: linear-gradient(45deg,rgb(50, 209, 230),rgba(16, 101, 122, 0.85));
   border-radius: 10px;
   display: flex;
   align-items: center;
   justify-content: center;
   transition: .6s ease-in-out;
   box-shadow: 04px 10px rgba(0,255,255,0.4);
}
.skill-box img{
    height: 80%;
    width: 80%;
    object-fit: contain;

}
.skill-box:hover{
    transform: translateY(-7px);
}
/* service */
.container{
    
    width: 70%;
    margin: 0 auto;
 /*   background-color: aqua;*/
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 20px;
    margin-top: 20px;
}

.min-box{
    height: 510px;
  
   background: linear-gradient(45deg,rgb(252, 250, 250),rgb(249, 249, 252));
   border-radius: 25px ;
   display: flex;
   border: 1px   solid rgb(4, 4, 71);
   align-items: center;
   justify-content: center;
   transition: .7s ease-in-out;
   box-shadow: 10px 10px 10px 5px rgb(10, 10, 10);

}

.min-box h1{
    position: relative;
    top: -180px;
    left: 160px;
}
.min-box:hover{

    transform: translateY(-8px);
}


/* contact box*/ 

form{
    margin-top: 20px;
}

form label{
    display: block;
    margin: 5px 0 5px;
}

form input,
form textarea{
    width: 100%;
    padding: 12px;
    background-color: #333;
    border: none;
    color: #fff;
    margin-bottom: 15px;
}

form button{
    padding: 12px 20px;
    border: none;
    background-color: #ff007f;
    color: #fff;
    cursor: pointer;
    transition: 0.3s;
}

form button:hover{
    background-color: #ff3399;
}

/* footer section*/



.skill-box h4{
    position: relative;
    top: -130px;
    left: 40px;
}
.footerbox{
    height: 80px;
    width: 100%;
    border: 1px solid;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 4px 10px rgba(0,255,255,0.4);
}
.footerbox p{
}



